> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voicebot.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Call

> Delete a call.



## OpenAPI

````yaml delete /api/v1/calls/{call_id}
openapi: 3.1.0
info:
  title: Voicebot Public API
  description: Public API for Voicebot Assistant Management
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/calls/{call_id}:
    delete:
      tags:
        - calls
      summary: Delete Call
      description: Delete a call.
      operationId: delete_call_api_v1_calls__call_id__delete
      parameters:
        - name: call_id
          in: path
          required: true
          schema:
            type: string
            title: Call Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CallResponse:
      properties:
        id:
          type: string
          title: Id
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        messages:
          anyOf:
            - items:
                $ref: '#/components/schemas/Message'
              type: array
            - type: 'null'
          title: Messages
        phoneCallProvider:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonecallprovider
        phoneCallTransport:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonecalltransport
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        endedReason:
          anyOf:
            - type: string
            - type: 'null'
          title: Endedreason
        orgId:
          anyOf:
            - type: string
            - type: 'null'
          title: Orgid
        createdAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createdat
        updatedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updatedat
        startedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Startedat
        endedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Endedat
        analysis:
          anyOf:
            - $ref: '#/components/schemas/Analysis'
            - type: 'null'
        phoneCallProviderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonecallproviderid
        assistantId:
          anyOf:
            - type: string
            - type: 'null'
          title: Assistantid
        phoneNumberId:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumberid
        customer:
          anyOf:
            - type: object
            - type: 'null'
          title: Customer
        transcript:
          anyOf:
            - type: string
            - type: 'null'
          title: Transcript
        recordingUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Recordingurl
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        stereoRecordingUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Stereorecordingurl
        transport:
          anyOf:
            - type: object
            - type: 'null'
          title: Transport
          default: {}
        organizationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Organizationid
      type: object
      required:
        - id
      title: CallResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Message:
      properties:
        role:
          anyOf:
            - type: string
            - type: 'null'
          title: Role
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        time:
          anyOf:
            - type: number
            - type: 'null'
          title: Time
        secondsFromStart:
          anyOf:
            - type: number
            - type: 'null'
          title: Secondsfromstart
        endTime:
          anyOf:
            - type: number
            - type: 'null'
          title: Endtime
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        duration:
          anyOf:
            - type: number
            - type: 'null'
          title: Duration
      type: object
      required:
        - secondsFromStart
      title: Message
    Analysis:
      properties:
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        successEvaluation:
          anyOf:
            - type: string
            - type: 'null'
          title: Successevaluation
      type: object
      title: Analysis
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````